############################################################## 
# How elongated? the pattern of elongation of cervical       #
# centra of Elasmosaurus platyurus with comments on cervical # 
# elongation patterns among plesiosauromorphs                # 
#                                                            #
#                José P. O'Gorman1,2*                        #
#                                                            #
# 1, División Paleontología Vertebrados, Museo de La Plata,  #
# Universidad Nacional de La Plata, Paseo del Bosque s/n.,   # 
# B1900FWA, La Plata, Buenos Aires Province, Argentina.      #
# 2, CONICET: Consejo Nacional de Investigaciones            #
# Científicas y Técnicas, Argentina.                         #
# joseogorman@fcnym.unlp.edu.ar                              #
##############################################################

#Supplementary Material 3. Script used for analysis 

library(car)
library(tidyverse)
library(boot)
library(ggplot2)
library(tseries)
library(nortest)
library(ggplot2)

#Correlatio Analysis
#Styxosaurus##############################################################################################
##Styxosaurus_Analysis

cor.test(Styxosaurus_AMNH5835$Styxosaurus, Styxosaurus_AMNH5835$B)

Styxosaurus_Model=lm(Styxosaurus_AMNH5835$B~Styxosaurus_AMNH5835$Styxosaurus, 
                     data=Styxosaurus_AMNH5835, na.actios=na.exclude)

summary(Styxosaurus_Model)

plot(Styxosaurus_AMNH5835$Styxosaurus, Styxosaurus_AMNH5835$B, data=Styxosaurus_AMNH5835)+ 
  abline(lm(Styxosaurus_AMNH5835$B~Styxosaurus_AMNH5835$Styxosaurus, data=Styxosaurus_AMNH5835), col="red")

#Graph Normality
qqnorm(resid(Styxosaurus_Model))
qqline(resid(Styxosaurus_Model))
hist(resid(Styxosaurus_Model))

#Prueva de Hipotesis Jarque-Bera (Normality)
lillie.test(resid(Styxosaurus_Model))

#Styxosaurus_Analysis_reducido
##Correlation_Analysis
Test_Red=cor.test(Styxosaurus_AMNH5835$Styxosaurus, Styxosaurus_AMNH5835$B_Red)

Styxosaurus_Model_Red=lm(Styxosaurus_AMNH5835$B_Red~Styxosaurus_AMNH5835$Styxosaurus, 
                         data=Styxosaurus_AMNH5835, na.actios=na.exclude)

summary(Styxosaurus_Model_Red)

plot(Styxosaurus_AMNH5835$Styxosaurus, Styxosaurus_AMNH5835$B_Red, data=Styxosaurus_AMNH5835)+ 
  abline(lm(Styxosaurus_AMNH5835$B_Red~Styxosaurus_AMNH5835$Styxosaurus, data=Styxosaurus_AMNH5835), col="red")

#Graph Normality
qqnorm(resid(Styxosaurus_Model_Red))
qqline(resid(Styxosaurus_Model_Red))
hist(resid(Styxosaurus_Model_Red))

#Prueva de Hipotesis Jarque-Bera (Normality)
lillie.test(resid(Styxosaurus_Model_Red))

#Vegasaurus################################################################################################
#Vegasaurus_Analysis

cor.test(Vegasaurus_molyi$Tuarangisaurus_sp_MLP, Tuarangisaurus_sp$B)

Vegasaurus_molyi_Model=lm(Vegasaurus_molyi$B~Vegasaurus_molyi$Vegasaurus_molyi_MLP, 
                          data=Vegasaurus_molyi, na.actios=na.exclude)

summary(Vegasaurus_molyi_Model)

plot(Vegasaurus_molyi$Vegasaurus_molyi_MLP, Vegasaurus_molyi$B, data=Vegasaurus_molyi)+ 
  abline(lm(Vegasaurus_molyi$B~Vegasaurus_molyi$Vegasaurus_molyi_MLP, data=Vegasaurus_molyi), col="red")

#Graph Normality
qqnorm(resid(Vegasaurus_molyi_Model))
qqline(resid(Vegasaurus_molyi_Model))
hist(resid(Vegasaurus_molyi_Model))

#Prueva de Hipotesis Jarque-Bera (Normality)
lillie.test(resid(Vegasaurus_molyi_Model))


##Vegasaurus_molyi_Analysis_reducido

Test_Red=cor.test(Vegasaurus_molyi$Vegasaurus_molyi_MLP, Vegasaurus_molyi$B_Red)

Vegasaurus_molyi_Model_Red=lm(Vegasaurus_molyi$B_Red~Vegasaurus_molyi$Vegasaurus_molyi_MLP, 
                              data=Vegasaurus_molyi, na.actios=na.exclude)

summary(Vegasaurus_molyi_Model_Red)

plot(Vegasaurus_molyi$Vegasaurus_molyi_MLP, Vegasaurus_molyi$B_Red, data=Vegasaurus_molyi)+ 
  abline(lm(Vegasaurus_molyi$B_Red~Vegasaurus_molyi$Vegasaurus_molyi_MLP, data=Vegasaurus_molyi), col="red")

#Graph Normality
qqnorm(resid(Vegasaurus_molyi_Model_Red))
qqline(resid(Vegasaurus_molyi_Model_Red))
hist(resid(Vegasaurus_molyi_Model_Red))

#Prueva de Hipotesis Jarque-Bera (Normality)
lillie.test(resid(Vegasaurus_molyi_Model_Red))


#Tuarangisaurus#################################################################################################
#Tuarangisaurus_sp._Analysis

cor.test(Tuarangisaurus_sp$Tuarangisaurus_sp_Zfr115, Tuarangisaurus_sp$B)

Tuarangisaurus_sp_model=lm(Tuarangisaurus_sp$B~Tuarangisaurus_sp$Tuarangisaurus_sp_Zfr115, 
                           data=Tuarangisaurus_sp, na.actios=na.exclude)

summary(Tuarangisaurus_sp_model)

plot(Tuarangisaurus_sp$Tuarangisaurus_sp_Zfr115, Tuarangisaurus_sp$B, data=Tuarangisaurus_sp)+ 
  abline(lm(Tuarangisaurus_sp$B~Tuarangisaurus_sp$Tuarangisaurus_sp_Zfr115, data=Tuarangisaurus_sp), col="red")

#grafico Normalidad
qqnorm(resid(Tuarangisaurus_sp_model))
qqline(resid(Tuarangisaurus_sp_model))
hist(resid(Tuarangisaurus_sp_model))

#Prueva de Hipotesis Jarque-Bera (Normality)
lillie.test(resid(Tuarangisaurus_sp_model))

#Tuarangisaurus_Analysis_reducido
##Correlation_Analysis
cor.test(Tuarangisaurus_sp$Tuarangisaurus_sp_Zfr115, Tuarangisaurus_sp$B_Red)

Tuarangisaurus_sp_Model_Red=lm(Tuarangisaurus_sp$B_Red~Tuarangisaurus_sp$Tuarangisaurus_sp_Zfr115, 
                               data=Tuarangisaurus_sp, na.actios=na.exclude)

summary(Tuarangisaurus_sp_Model_Red)

plot(Tuarangisaurus_sp$Tuarangisaurus_sp_Zfr115, Tuarangisaurus_sp$B_Red, data=Tuarangisaurus_sp)+ 
  abline(lm(Tuarangisaurus_sp$B_Red~Tuarangisaurus_sp$Tuarangisaurus_sp._Zfr115, data=Tuarangisaurus_sp), col="red")

#grafico Normalidad
qqnorm(resid(Tuarangisaurus_sp_Model_Red))
qqline(resid(Tuarangisaurus_sp_Model_Red))
hist(resid(Tuarangisaurus_sp_model_Red))

#Prueva de Hipotesis Jarque-Bera (Normality)
lillie.test(resid(Tuarangisaurus_sp_Model_Red)).




